<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Companies</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Companies
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Master Data</li>
    <li class="active"> Companies</li>
  </ol>
</section>

<section layout:fragment="main" class="content">

  <div class="row">
    <div class="col-md-6">
      <div class="box">
        <div class="box-header with-border">

        </div>
        <form class="form-horizontal" th:action="@{/payroll/edit/save(idPayrollComponent=${employeePayrollComponent.getPayrollComponent().getId()},employee=${employeePayrollComponent.getEmployes().getId()})}" method="post" enctype="multipart/form-data">
        <div class="box-body">
          <table class="table">
            <tr>
              <td>
                <div class="form-group">
                  <label for="employeeName" class="col-sm-2 control-label">Employee:</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" th:value="${employeePayrollComponent.getEmployes().getFullName()}" name="employeeName" id="employeeName" placeholder="Employee" disabled>
                  </div>
                </div>
              </td>

            </tr>
            <tr>
              <td>
                <div class="form-group">
                  <label for="amount" class="col-sm-2 control-label">Amount:</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" name="amount" id="amount" data-type="currency" placeholder="Amount">
                  </div>
                </div>
              </td>

            </tr>
            <tr>
              <td>
                <div class="form-group">
                  <label for="tanggalMulaiString" class="col-sm-2 control-label">From:</label>
                  <div class="col-sm-10">
                    <div class="input-group date">
                      <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                      </div>
                      <input type="text" class="form-control pull-right" id="tanggalMulaiString" name="tanggalMulaiString" placeholder="Date Start MM/dd/yyyy">
                    </div>
                  </div>
                </div>
              </td>

            </tr>
            <tr>
              <td>
                <div class="form-group">
                  <label or="tanggalSelesaiString" class="col-sm-2 control-label">End:</label>
                  <div class="col-sm-10">
                    <div class="input-group date">
                      <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                      </div>
                      <input type="text" class="form-control pull-right" id="tanggalSelesaiString" name="tanggalSelesaiString" placeholder="Date End MM/dd/yyyy">
                    </div>
                  </div>
                </div>
              </td>

            </tr>
          </table>
        </div>
        <div class="box-footer">
          <a th:href="@{/payroll/edit/new(payrollComponent=${employeePayrollComponent.getPayrollComponent().getId()})}" class="btn btn-default pull-left">Close</a>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
        </form>
      </div>
    </div>
  </div>

</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#effectiveDateString').datepicker({
        autoclose: true
      })

      $('#endDateString').datepicker({
        autoclose: true
      })

      $('#tanggalMulaiString').datepicker({
        autoclose: true
      })

      $('#tanggalSelesaiString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
  <script>
    $(function () {
      $('#example1').DataTable()
      $('#example2').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : false,
        'ordering'    : true,
        'info'        : true,
        'autoWidth'   : false
      })
    })

    $(function() {

      var bla = $('#effectiveDateString').val();
      $('#effectiveDateString').val(bla);

    });

    $(function() {

      var blas = $('#endDateString').val();
      $('#endDateString').val(blas);

    });

    (function($){
      $('#payrollComponent').select2();
      $('#payrollComponent').on('select2:selecting', function(e) {
        console.log('Selecting: ' , e.params.args.data.id);
        $('#isiPayrollComponent').val(e.params.args.data.id);
      });
    })(jQuery);

    function dtable() {

      // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
      window.location.href = '/payroll/edit/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val()+'&endDate='+$('#endDateString').val();


    }
  </script>
</section>
</body>
</html>
</body>
</html>




